### Enumeration

# Atspi LocaleType

#### Declaration

    enum Atspi.LocaleType

#### Description [src]

Used by interfaces `AtspiText` and `AtspiDocument`, this enumeration corresponds to the POSIX ‘setlocale’ enum values.

#### Members

`ATSPI_LOCALE_TYPE_MESSAGES`

  For localizable natural-language messages.

  - Value: `0`
  - Available since: 2.0
`ATSPI_LOCALE_TYPE_COLLATE`

  For regular expression matching and string collation.

  - Value: `1`
  - Available since: 2.0
`ATSPI_LOCALE_TYPE_CTYPE`

  For regular expression matching, character classification, conversion, case-sensitive comparison, and wide character functions.

  - Value: `2`
  - Available since: 2.0
`ATSPI_LOCALE_TYPE_MONETARY`

  For monetary formatting.

  - Value: `3`
  - Available since: 2.0
`ATSPI_LOCALE_TYPE_NUMERIC`

  For number formatting (such as the decimal point and the thousands separator).

  - Value: `4`
  - Available since: 2.0
`ATSPI_LOCALE_TYPE_TIME`

  For time and date formatting.

  - Value: `5`
  - Available since: 2.0